%define plugin	check_amavis

Summary:	Check Amavis
Name:		nagios-%{plugin}
Version:	1.1
Release:	%mkrel 10
Group:		Networking/Other
License:	GPL
URL:		 https://exchange.nagios.org/directory/Plugins/Anti-2DVirus/Amavis/check_amavis/details
Source0:	%{plugin}.pl
BuildArch:	noarch
BuildRequires:	perl

%description
check_amavis checks if amavisd-new daemon is working and if its
antivirus engine is working. This check talks with amavisd-new daemon.
It tests if the daemon is up and if it's able to scan an email with a
virus (EICAR test virus is sent).
	
Please note that if amavisd-new is run on a different machine, you
should enable the connection from nagios ip address (take a look at
amavisd.conf).

%prep
%setup -qcT

install -d -m 755 %{buildroot}%{_sysconfdir}/nagios/plugins.d
cat > %{buildroot}%{_sysconfdir}/nagios/plugins.d/check_amavis.cfg <<'EOF'

define command {
        command_name    check_amavis
        command_line    %{_datadir}/nagios/plugins/%{plugin}.pl --server $HOSTADDRESS$ --port 10025 $ARG1$
}
EOF
install -d -m 755 %{buildroot}%{_datadir}/nagios/plugins
install -m 755 %{SOURCE0} %{buildroot}%{_datadir}/nagios/plugins

%files
%config(noreplace) %{_sysconfdir}/nagios/plugins.d/check_amavis.cfg
%{_datadir}/nagios/plugins/%{plugin}.pl




%changelog
* Thu Jun 26 2025 umeabot <umeabot> 1.1-10.mga10
+ Revision: 2197570
- Mageia 10 Mass Rebuild

* Sun Mar 20 2022 umeabot <umeabot> 1.1-9.mga9
+ Revision: 1801934
- Mageia 9 Mass Rebuild

* Wed Feb 12 2020 umeabot <umeabot> 1.1-8.mga8
+ Revision: 1492150
- Mageia 8 Mass Rebuild

* Wed Sep 19 2018 umeabot <umeabot> 1.1-7.mga7
+ Revision: 1264630
- Mageia 7 Mass Rebuild

* Sun Jan 31 2016 umeabot <umeabot> 1.1-6.mga6
+ Revision: 929402
- Mageia 6 Mass Rebuild

* Wed Oct 15 2014 umeabot <umeabot> 1.1-5.mga5
+ Revision: 743338
- Second Mageia 5 Mass Rebuild

* Tue Sep 16 2014 umeabot <umeabot> 1.1-4.mga5
+ Revision: 682763
- Mageia 5 Mass Rebuild

* Fri Oct 18 2013 umeabot <umeabot> 1.1-3.mga4
+ Revision: 508118
- Mageia 4 Mass Rebuild

* Sat Jan 12 2013 umeabot <umeabot> 1.1-2.mga3
+ Revision: 360678
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Sun Jan 15 2012 dlucio <dlucio> 1.1-1.mga2
+ Revision: 196562
- imported package nagios-check_amavis

